﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=6.51
@EndOfDesignText@
#Region Copyright
'  Project: atHome
'  Copyright (C) 2018 Robert W.B. Linn, Pinneberg, Germany.
'
'  ToastMessage: Class module to display a toast message
'
'  Version: 20181007
'
'  This project is free software; you can redistribute it And/Or
'  modify it under the terms of the GNU Lesser General Public
'  License As published by the Free Software Foundation; either
'  version 2 of the License, Or (at your option) any later version.
'
'  This project Is distributed in the hope that it will be useful,
'  but WITHOUT ANY WARRANTY; without even the implied warranty of
'  MERCHANTABILITY Or FITNESS For A PARTICULAR PURPOSE. See the GNU
'  Lesser General Public License For more details.
'
'  You should have received a copy of the GNU Lesser General Public
'  License along with this project; If Not, write To the
'  Free Software Foundation, Inc., 59 Temple Place - Suite 330,
'  Boston, MA 02111-1307, USA.
#End Region

#Region Notes

#End Region

Private Sub Class_Globals
	Private fx As JFX
	Private frm As Form
	Private LabelMessage As Label
	Private TimerMessage As Timer
	Private MessageDurationShort As Long	= 2000	'Default Android
	Private MessageDurationLong As Long 	= 3500	'Default Android
	Private TimerMessageInterval As Long 	= 500
	Private TotalMessageDuration As Long 	= 0
	Private MessageDuration As Long = MessageDurationShort
End Sub

Public Sub Initialize(Parent As Form, Message As String, LongDuration As Boolean)
	frm.Initialize("frm", 300, 150)
	frm.SetFormStyle("UNDECORATED")
	frm.RootPane.LoadLayout("toastmessage")
	LabelMessage.Text = Message
	frm.Show

	If LongDuration Then MessageDuration = MessageDurationLong
	TimerMessage.Initialize("TimerMessage", TimerMessageInterval )
	TimerMessage.Enabled = True
End Sub

' Show the form until the totalmessageduration exceeds the messageduration given
Private Sub TimerMessage_Tick
	TotalMessageDuration = TotalMessageDuration + TimerMessageInterval
	If TotalMessageDuration >= MessageDuration Then
		TimerMessage.Enabled = False		
		frm.Close
	End If
End Sub

'Public Sub setMessageDuration(Duration As Long)
'	MessageDuration = Duration	
'End Sub
'
'Public Sub getMessageDuration As Long
'	Return MessageDuration
'End Sub
